package com.ozs.pm.doman;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 采购需求工程类表(PmDemandEngineering)å®ä½ç±»
 *
 * @author makejava
 * @since 2023-02-04 19:36:13
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pm_demand_engineering")
@ApiModel(value = "采购需求工程类表", description = "")
public class PmDemandEngineering implements Serializable {
    private static final long serialVersionUID = 907919419476022620L;

    @ApiModelProperty("主键")
    @TableId(value = "DEMAND_ENGINEERING_ID", type = IdType.AUTO)
    private Long demandEngineeringId;


    @ApiModelProperty("需求ID")
    @TableField("DEMAND_ID")
    private Long demandId;


    @ApiModelProperty("工程项目名称")
    @TableField("ENGINEERING_NAME")
    private String engineeringName;


    @ApiModelProperty("建设地点")
    @TableField("CONSTRUCTION_LOCATION")
    private String constructionLocation;


    @ApiModelProperty("设计任务书批复文号")
    @TableField("DESIGN_ASSIGNMEN_APPROVAL_NUMBER")
    private String designAssignmenApprovalNumber;


    @ApiModelProperty("工程建设计划文号")
    @TableField("PROJECT_CONSTRUCTION_PLAN_NUMBER")
    private Double projectConstructionPlanNumber;


    @ApiModelProperty("任务书批复规模(㎡)")
    @TableField("TASSIGNMENT_APPROVAL_SCALE")
    private Double tassignmentApprovalScale;


    @ApiModelProperty("任务书批复投资")
    @TableField("TASSIGNMENT_APPROVAL_INVESTMEN")
    private String tassignmentApprovalInvestmen;


    @ApiModelProperty("规划许可文号")
    @TableField("PLANNING_LICENSE_NUMBER")
    private String planningLicenseNumber;


    @ApiModelProperty("密级处理")
    @TableField("CLASSIFIED_TREATMENT")
    private String classifiedTreatment;


    @ApiModelProperty("采购项目规模(㎡)")
    @TableField("PROCUREMENT_PROJECT_SCALE")
    private Double procurementProjectScale;


    @ApiModelProperty("采购项目投资(万元)")
    @TableField("PROCUREMENT_PROJECT_INVESTMENT")
    private Double procurementProjectInvestment;


    @ApiModelProperty("联系人")
    @TableField("LINKMAN")
    private String linkman;


    @ApiModelProperty("电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("项目类别（1勘察，2设计, 3施工，4监理，5咨询，6设备材料）")
    @TableField("PROJECT_CATEGORY")
    private String projectCategory;


    @ApiModelProperty("承包方式（1工程总承包，2施工总承包，3专业承包）")
    @TableField("CONTRACTING_MODE")
    private String contractingMode;


    @ApiModelProperty("施工图是否完成(0未完成，1完成)")
    @TableField("CONSTRUCTION_DRAWING")
    private String constructionDrawing;


    @ApiModelProperty("设计单位")
    @TableField("DESIGN_UNIT")
    private String designUnit;


    @ApiModelProperty("最高限价")
    @TableField("CEILING_PRICE")
    private Double ceilingPrice;


    @ApiModelProperty("采购方式建议（1公开招标，2邀请招标，3竞争性谈判，4询价，5单一来源）")
    @TableField("PROCUREMENT_METHOD_SUGGEST")
    private String procurementMethodSuggest;


    @ApiModelProperty("投标(报价)人资质等级要求")
    @TableField("QUALIFICATION_LEVEL_REQUIREMENT")
    private String qualificationLevelRequirement;


    @ApiModelProperty("供应商")
    @TableField("SUPPLIER_ID")
    private Long supplierId;


    @ApiModelProperty("备注")
    @TableField("REMARKS")
    private String remarks;


    @ApiModelProperty("创建者")
    @TableField("CREATE_BY")
    private String createBy;


    @ApiModelProperty("创建时间")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("更新者")
    @TableField("UPDATE_BY")
    private String updateBy;


    @ApiModelProperty("更新时间")
    @TableField("UPDATE_TIME")
    private Date updateTime;


}
