package com.ozs.pm.doman.vo.requestVo;


import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PmBaseExpertExtractReqVo extends BaseEntity {

    @ApiModelProperty("需求ID")
    private Long demandId;

    @ApiModelProperty("选取时间 yyy-MM-dd")
    private String accessTime;

    @ApiModelProperty("技术专家数量")
    private Integer technicalExpertNumber;

    @ApiModelProperty("经济专家数量")
    private Integer economicExpertNumber;

    @ApiModelProperty("法务专家数量")
    private Integer legalAffairsExpertNumber;

    @ApiModelProperty("备用专家数量")
    private Integer spareExpertNumber;

    @ApiModelProperty("专家专业，多个用逗号分隔")
    private String professional;

    @ApiModelProperty("所在区域")
    private String localArea;

    @ApiModelProperty("需要回避单位，多个用逗号分隔")
    private String needAvoidUnit;
}
